Help a Noob with his X1 probs, it'll make you feel good
Results 1 to 5 of 5
  1. #1
    Newbie
    Join Date
    Oct 2014
    Posts
    4

    Default Help a Noob with his X1 probs, it'll make you feel good

    Hi,

    So I've been DJing for years from vinyl only, then to Traktor Scratch with one X1mk1. No Probs.
    Got a new laptop so though I'd upgrade to TSP2 and get the Mk2 X1 as well.

    Researched, and found that I should be able to use my Mk1 to control the A&B decks, and my Mk2 to control the remix deck (I know I need an F1 for full functionality, but I should still be able to use it sample deck style before the 2.5update).

    However, my X2 is not getting through. The controller editor knows its there and TSP2 is receiving it as indicated by the CTRL indicator. So it's a mapping issue? The NI troubleshooter tells me to import the add on .tsi file located on my laptop. But it's not there, the only .tsi files i have are for the S2, S4 and one random one for Kontrol Audio 2. No .tsi for X1s at all.

    Searched throughly for the .tsi for this on the interweb and I can't find them. So my X1 Mk2 has no functionality what so ever even when trying to use it for the A&B decks. I think I just need the default X1 mappings but they are nowhere to be found. I've done all the uninstalling and reinstalling. It just wont work.

    Can anyone help?

  2. #2
    Tech Mentor
    Join Date
    Jan 2014
    Posts
    477

    Default

    You need traktor 2.6 for the X1 Mk2 to work in HID mode. Otherwise it's just another midi controller.

  3. #3
    Newbie
    Join Date
    Oct 2014
    Posts
    4

    Default

    Quote Originally Posted by Scalage View Post
    You need traktor 2.6 for the X1 Mk2 to work in HID mode. Otherwise it's just another midi controller.
    I thought I should already have that. I've fully updated through the service centre. Thanks though, I'll check.

  4. #4
    Tech Mentor
    Join Date
    Jan 2014
    Posts
    477

    Default

    I got the impression that you were running 2.5 because of the sample decks.

  5. #5
    Newbie
    Join Date
    Oct 2014
    Posts
    4

    Default

    Quote Originally Posted by Scalage View Post
    I got the impression that you were running 2.5 because of the sample decks.
    So I've just checked and your right, It says traktor 2.5.1 in the about section and service centre, but my Service Centre isn't showing anymore updates for it.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •